#include "ecs_entity.h"

/* Returns a new entity ID. */
u32
ecs_entity_add(ECS* self)
{
	u32 id;

	id = self->nextID;

	self->nextID++;

	return id;
}

/* Removes all components associated with an entity. */
void
ecs_entity_delete(ECS* self, u32 id)
{
	for (s32 i = 0; i < ECS_COMPONENT_COUNT; i++)
		ecs_component_delete(self, (ECSComponentType)i, id);
}
